--- title: "Get Presigned URL" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/get-presigned-url/ description: "This API enables you to get presigned urls. You can share this URL to other users and they will be able to securely perform download and upload actions." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Get Presigned URL ### Description This API allows you to get presigned urls. Presigned URLs are secure URLs that authenticated users can share to their non-authenticated users. This URL will provide non-authenticated users with temporary authorization to access objects. Once the link is expired, you need to sign the required URL again using this API. > **Note:** There are different request methods for upload action and download action. ### Request Details #### Request URL for Upload Action `PUT` {api-domain}/baas/v1/project/{project_id}/bucket/object/signed-url #### Request URL for Download Action `GET` {api-domain}/baas/v1/project/{project_id}/bucket/object/signed-url - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Query Parameters - **bucket_name** (Alphanumeric, mandatory): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) - **object_key** (String, mandatory): Will contain the complete name of the required object. - **expiry_in_seconds** (Number, optional): Will contain the time limit in seconds. Once this limit has been reached the presigned url cannot be used. The default value is `3600` - **active_from** (Timestamp, optional): Will contain the timestamp of from when the presigned url is active onwards. - **version_id** (String, optional): This param can only be used for the `GET` request URL. Will contain the [version ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/stratus-config/general-settings/#versioning) #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope For Download ZohoCatalyst.buckets.objects.READ #### Scope For Upload ZohoCatalyst.buckets.objects.CREATE ### Response Details On successful execution, the response will contain presigned URL. **Sample Request For Download Action** ```bash curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object/signed-url?bucket_name=myBucketName&object_key=object.pdf&expiry_in_seconds=3600&active_from=1716382375000&version_id=bs22sb2923ey2hds929/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Request For Upload Action** ```bash curl -X PUT https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object/signed-url?bucket_name=myBucketName&object_key=object.pdf&expiry_in_seconds=3600&active_from=1716382375000/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "signature": "https://mybucket.nimbuspop.com/folder1/folder2/image.jpeg?expires=1642915027000&signature=MEYCIQCcJDTsmZQhfuvFu3l3tsVL02uVwIMhLdlSg~ARI3E1aAIhAJ-rzzjn2gPH9pB3EoU3X~v~qvg5Rdt9OBoldBpVz6xt&key-id=vMUWDURn5DGtokPG", "expires_in_seconds": 300, "active_from": 1716382487000 } } ``` ### SDK Documentation * [Generate Presigned URL - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/pre-signed-urls/) * [Generate Presigned URL - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/pre-signed-urls/) * [Generate Presigned URL - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/pre-signed-urls/) * [Stratus - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/overview/) * [Stratus - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/overview/) * [Stratus - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/overview/) * [Stratus - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/overview/)